## org.eclipse.jst.jsf.designtime.context
Class AbstractDTExternalContext

    java.lang.Object
      org.eclipse.jst.jsf.designtime.context.AbstractDTExternalContext

All Implemented Interfaces:
  IDTExternalContext

Direct Known Subclasses:
  DTJSPExternalContext

    public abstract class AbstractDTExternalContext

extends java.lang.Object
implements IDTExternalContext

The parent of all IDTExternalContext implementations Clients must sub-class to create IDTExternalContext implementations

Constructor Summary
`AbstractDTExternalContext()`

Method Summary
`java.util.Map<java.lang.String,ISymbol>` `getApplicationMap()`
`java.util.Map<java.lang.String,ISymbol>` `getMapForScope(int scopeMask)`
`java.util.Map<java.lang.String,ISymbol>` `getNoneMap()`
`java.lang.String` `getRequestContextPath()` Servlet 2.3_SRV.4.4: The context path of the application.
`java.util.Map<java.lang.String,ISymbol>` `getRequestMap()`
`java.util.Map<java.lang.String,ISymbol>` `getSessionMap()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDTExternalContext

    public AbstractDTExternalContext()

Method Detail

### getMapForScope

    public final java.util.Map<java.lang.String,ISymbol> getMapForScope(int scopeMask)

  Specified by:
    `getMapForScope` in interface `IDTExternalContext`
  Parameters:
    `scopeMask` - -- the scope for which to return the symbol map
  Returns:
    a map of ISymbols representing the currently available scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getRequestMap

    public final java.util.Map<java.lang.String,ISymbol> getRequestMap()

  Specified by:
    `getRequestMap` in interface `IDTExternalContext`
  Returns:
    a map of ISymbols representing the currently available request scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getSessionMap

    public final java.util.Map<java.lang.String,ISymbol> getSessionMap()

  Specified by:
    `getSessionMap` in interface `IDTExternalContext`
  Returns:
    a map of ISymbols representing the currently available session scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getApplicationMap

    public final java.util.Map<java.lang.String,ISymbol> getApplicationMap()

  Specified by:
    `getApplicationMap` in interface `IDTExternalContext`
  Returns:
    a map of ISymbols representing the currently available application scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getNoneMap

    public final java.util.Map<java.lang.String,ISymbol> getNoneMap()

  Specified by:
    `getNoneMap` in interface `IDTExternalContext`
  Returns:
    a map of ISymbols representing the currently available none scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getRequestContextPath

    public java.lang.String getRequestContextPath()

  Description copied from interface: `IDTExternalContext`
  Servlet 2.3_SRV.4.4: The context path of the application.

  Specified by:
    `getRequestContextPath` in interface `IDTExternalContext`
  Returns:
    the request context path